type PropertyDefault {
  id: ID!
  key: String!
  shortDescription: String
  description: String
  defaultValue: String
  isDeleted: Boolean
  order: Int
  createdAt: DateTime!
  updatedAt: DateTime!
}

type PropertyDefaultEdge {
  node: PropertyDefault
  cursor: String!
}

type PropertyDefaultConnection {
  pageInfo: PageInfo!
  edges: [PropertyDefaultEdge]
  fullCount: Int
}

type Query {
  propertyDefault(id: ID!): PropertyDefault
  propertyDefaults(where: JSON, limit: Int, offset: Int, order: String): [PropertyDefault!]
  propertyDefaultsConnection(
    where: JSON
    first: Int!
    last: Int
    after: String
    before: String
  ): PropertyDefaultConnection!
}

type Mutation {
  createPropertyDefault(data: JSON): PropertyDefault
  updatePropertyDefault(data: JSON, where: JSON): PropertyDefault
}
